"""Add compatible_categories to output_types

Revision ID: 014
Revises: 013
Create Date: 2026-03-02

"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects.postgresql import JSONB

revision: str = "014"
down_revision: Union[str, None] = "013"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column(
        "output_types",
        sa.Column("compatible_categories", JSONB, server_default="[]", nullable=False),
    )


def downgrade() -> None:
    op.drop_column("output_types", "compatible_categories")
